Sortie de Qt 5.12.3
Avec deux cents défauts corrigés

Le , par dourouc05

53PARTAGES

3  0 
Qt 5.12 poursuit son cycle de vie, avec une nouvelle version corrective, numérotée 5.12.3. Aucune nouvelle fonctionnalité n'est ajoutée, mais bon nombre de défauts ont été corrigés, notamment au niveau de la performance : on compte ainsi pas moins de deux cents défauts corrigés sur un mois.

Qt 5.12 est toujours en phase très active de maintenance, où des défauts peuvent être corrigés, même s'ils impliquent des régressions potentielles du côté des utilisateurs — contrairement à Qt 5.9.

Voir aussi : tous les changements de Qt 5.12.3.

Une erreur dans cette actualité ? Signalez-le nous !

Avatar de dourouc05
Responsable Qt & Livres https://www.developpez.com
Le 17/06/2019 à 14:45
Quatrième version corrective pour Qt 5.12. Celle-ci corrige deux cent cinquante défauts par rapport à Qt 5.12.3. Cependant, un changement vaut la peine d'être remarqué : l'intégration d'OpenSSL 1.1.1. Les versions précédentes de Qt 5.12 resteront bloquées à OpenSSL 1.0 à cause d'une incompatibilité binaire. Cette évolution pourrait causer une série de problèmes pour la mise à jour de la version de Qt, mais est nécessaire pour la sécurité : seul OpenSSL 1.1 propose une implémentation de TLS 1.3, la nouvelle version du protocole sécurisant TCP (cette nouvelle version améliore aussi la performance des fonctions cryptographiques, mais ce point n'aurait pas été suffisant pour inciter à un tel changement).

Qt 5.12 est toujours en phase de maintenance active, c'est-à-dire que tous les défauts remarqués sont corrigés, même s'ils pourraient représenter un danger lors de la mise à jour. Qt 5.9, au contraire, est en phase stricte : seuls les correctifs n'ayant aucun risque sur les applications lors d'une mise à jour sont appliqués.

Source : Qt 5.12.4 Released with support for OpenSSL 1.1.1

Télécharger Qt 5.12.4.
Avatar de aureyoboss
Membre à l'essai https://www.developpez.com
Le 17/06/2019 à 20:25
Bonjour,

Donc en version 5.12.3, pour que l'OpenSSL fonctionne (compilation pour Windows), il fallait ajouter les fichiers dans la racine du projet x32 :
- libeay32.dll ;
- ssleay32.dll ;
- openssl.exe.

Avec la nouvelles version 5.12.4, est-ce bien ces fichiers qu'il faut à la place des anciens ?
- libcrypto-1_1.dll ;
- libssl-1_1.dll ;
- openssl.exe.

Merci.
Bonne soirée.
Avatar de dourouc05
Responsable Qt & Livres https://www.developpez.com
Le 18/06/2019 à 16:22
A priori, ces deux DLL devraient suffire (je ne vois pas pourquoi Qt aurait besoin du fichier exécutable).

 
Responsable bénévole de la rubrique Qt : Thibaut Cuvelier -

Partenaire : Hébergement Web